Bug 390311 - hydrogen cannot load drum samples after flac updated to 1.2.1
hydrogen cannot load drum samples after flac updated to 1.2.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hydrogen (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 08:28 EST by Richard Smith
Modified: 2009-01-07 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.9.3-9.fc7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:52:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Smith 2007-11-19 08:28:41 EST
Description of problem:

After updating flac from 1.1.4-4 to 1.2.1-1, hydrogen fails to load drum
samples.  If hydrogen is started from a console window, the error messages will
be seen.

Version-Release number of selected component (if applicable):

hydrogen-0.9.3-9

How reproducible:

Run hydrogen from a terminal window on a machine with flac-1.1.4-4 installed and
verify that sound samples load (no errors relating to the filenames of the
sample sounds). Update to flac-1.2.1-1 and verify that samples now fail to load
when hydrogen is run from the terminal window (error messages printed regarding
failure to load sample sounds).

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Rebuilding the hydrogen rpm against flac-devel-1.2.1-1 fixes this problem.
Comment 1 Lubomir Kundrak 2007-11-19 09:42:14 EST
hydrogen-0.9.3-9.fc7.1 was built [1] and hopefully will hit testing soon. Please
confirm that the rebuilt package works, as I don't have fc7 handy. Thanks!

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=248373
Comment 2 Richard Smith 2007-11-19 10:23:14 EST
Thanks for the fast response.
I have updated to the x86_64 0.9.3-9.fc7.1 package and confirm that hydrogen
runs and loads the samples as expected.  I don't have console access to the
machine at present (will have in about 8 hours), so am limited to what I can
test over a remote X session.
Comment 3 Fedora Update System 2007-11-20 12:58:25 EST
hydrogen-0.9.3-9.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hydrogen'
Comment 4 Richard Smith 2007-11-23 11:50:32 EST
I have been testing this new version for the last couple of days and am happy
that the bug I had noticed has been fixed.  Thanks for your help.
Comment 5 Fedora Update System 2007-11-26 13:52:07 EST
hydrogen-0.9.3-9.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Lubomir Kundrak 2007-11-26 14:26:49 EST
Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.